## plasma-discover 5.18.4.1

=== CMakeLists.txt ===
project(discover)
set(PROJECT_VERSION "5.18.4")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 2.8.12)

set(QT_MIN_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.62.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_SOURCE_DIR}/cmake")

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets Test Network Xml Concurrent DBus Quick)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMAddTests)
include(GenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(KDEClangFormat)

find_package(PkgConfig REQUIRED)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED CoreAddons Config Crash DBusAddons I18n Archive XmlGui ItemModels KIO Declarative)
find_package(KF5Kirigami2 2.7.0)

find_package(packagekitqt5 1.0.1 CONFIG)
find_package(AppStreamQt 0.11.1 CONFIG)
find_package(KF5Attica 5.23 CONFIG)
find_package(KF5NewStuff 5.53 CONFIG)

pkg_check_modules(Flatpak IMPORTED_TARGET flatpak>=0.11.8)
pkg_check_modules(Fwupd IMPORTED_TARGET fwupd>=1.0.6)
pkg_check_modules(Markdown IMPORTED_TARGET libmarkdown)
find_package(KUserFeedback)


if(NOT CMAKE_VERSION VERSION_LESS "3.10.0")
  # CMake 3.9+ warns about automoc on files without Q_OBJECT, and doesn't know about other macros.
  # 3.10+ lets us provide more macro names that require automoc.
  list(APPEND CMAKE_AUTOMOC_MACRO_NAMES "DISCOVER_BACKEND_PLUGIN")
endif()

configure_file(DiscoverVersion.h.in DiscoverVersion.h)

add_subdirectory(libdiscover)
add_subdirectory(discover)
add_subdirectory(exporter)

option(WITH_NOTIFIER "Build and install the notifier plasmoid" ON)
if(WITH_NOTIFIER)
    find_package(KF5 REQUIRED Notifications KIO)
    add_subdirectory(notifier)
endif()

set_package_properties(KF5Attica PROPERTIES
    DESCRIPTION "KDE Framework that implements the Open Collaboration Services API"
    PURPOSE "Required to build the KNewStuff3 backend"
    TYPE OPTIONAL)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "KDE's lightweight user interface framework for mobile and convergent applications"
    URL "https://techbase.kde.org/Kirigami"
    PURPOSE "Required by discover qml components"
    TYPE RUNTIME)
set_package_properties(KF5NewStuff PROPERTIES
    DESCRIPTION "Qt library that allows to interact with KNewStuff implementations"
    PURPOSE "Required to build the KNS backend"
    TYPE OPTIONAL)
set_package_properties(packagekitqt5 PROPERTIES
    DESCRIPTION "Library that exposes PackageKit resources"
    URL "https://www.freedesktop.org/software/PackageKit/"
    PURPOSE "Required to build the PackageKit backend"
    TYPE OPTIONAL)
set_package_properties(AppStreamQt PROPERTIES
    DESCRIPTION "Library that lists Appstream resources"
    URL "https://www.freedesktop.org"
    PURPOSE "Required to build the PackageKit and Flatpak backends"
    TYPE OPTIONAL)
add_feature_info(Flatpak Flatpak_FOUND
                "Library that exposes flatpak repositories. Required to build the Flatpak backend"
)
add_feature_info(Fwupd Fwupd_FOUND "Exposes fwupd")

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

install(FILES discover.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== notifier/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma-discover-notifier\")

add_executable(DiscoverNotifier BackendNotifierFactory.cpp DiscoverNotifier.cpp NotifierItem.cpp main.cpp)
target_link_libraries(DiscoverNotifier
    KF5::Notifications
    KF5::I18n
    KF5::KIOWidgets
    KF5::Crash
    KF5::DBusAddons

    Discover::Notifiers
)
set_target_properties(DiscoverNotifier PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)
install(TARGETS DiscoverNotifier DESTINATION ${KDE_INSTALL_LIBEXECDIR})

set(DesktopExec "${KDE_INSTALL_FULL_LIBEXECDIR}/DiscoverNotifier")
configure_file(org.kde.discover.notifier.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.notifier.desktop)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.notifier.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.notifier.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})

=== libdiscover/backends/CMakeLists.txt ===
function(add_unit_test name)
    add_executable(${name} ${ARGN})
    add_test(${name} ${CMAKE_BINARY_DIR}/bin/${name})
    ecm_mark_as_test(${name})
    target_link_libraries(${name}
        Discover::Common

        Qt5::Test Qt5::Core ${EXTRA_LIBS})
endfunction()

if(KF5Attica_FOUND AND KF5NewStuff_FOUND)
   add_subdirectory(KNSBackend)
endif()

if(packagekitqt5_FOUND AND AppStreamQt_FOUND)
    add_subdirectory(PackageKitBackend)
endif()

option(BUILD_DummyBackend "Build the DummyBackend" "OFF")
if(BUILD_DummyBackend)
    add_subdirectory(DummyBackend)
endif()

option(BUILD_FlatpakBackend "Build Flatpak support" "ON")
if(Flatpak_FOUND AND AppStreamQt_FOUND AND BUILD_FlatpakBackend)
    add_subdirectory(FlatpakBackend)
elseif(BUILD_FlatpakBackend)
    message(WARNING "BUILD_FlatpakBackend enabled but Flatpak=${Flatpak_FOUND} or AppStreamQt=${AppStreamQt_FOUND} not found")
endif()

find_package(Snapd)
set_package_properties(Snapd PROPERTIES
    DESCRIPTION "Library that exposes Snapd"
    URL "https://www.snapcraft.io"
    PURPOSE "Required to build the Snap backend"
    TYPE OPTIONAL)

option(BUILD_SnapBackend "Build Snap support." "ON")
if(BUILD_SnapBackend AND Snapd_FOUND)
    add_subdirectory(SnapBackend)
endif()

option(BUILD_FwupdBackend "Build Fwupd support." "ON")
if(BUILD_FwupdBackend AND TARGET PkgConfig::Fwupd)
    add_subdirectory(FwupdBackend)
endif()

=== libdiscover/backends/FwupdBackend/CMakeLists.txt ===
add_definitions( -DPROJECT_NAME=${PROJECT_NAME} -DPROJECT_VERSION=${PROJECT_VERSION})

set(fwupd-backend_SRCS
    FwupdResource.cpp
    FwupdBackend.cpp
    FwupdTransaction.cpp
    FwupdSourcesBackend.cpp
)

add_library(fwupd-backend MODULE ${fwupd-backend_SRCS})
target_link_libraries(fwupd-backend Qt5::Core Qt5::Widgets Qt5::Concurrent KF5::CoreAddons KF5::ConfigCore Discover::Common PkgConfig::Fwupd)

install(TARGETS fwupd-backend DESTINATION ${PLUGIN_INSTALL_DIR}/discover)

=== libdiscover/backends/PackageKitBackend/CMakeLists.txt ===
find_package(KF5 REQUIRED Notifications)

add_subdirectory(runservice)

#packagekit-backend
set (packagekit-backend_SRCS
    PackageKitBackend.cpp
    PackageKitResource.cpp
    AppPackageKitResource.cpp
    PKTransaction.cpp
    PackageKitUpdater.cpp
    PackageKitMessages.cpp
    PackageKitSourcesBackend.cpp
    LocalFilePKResource.cpp
    TransactionSet.cpp
    pkui.qrc
    )
ecm_qt_declare_logging_category(packagekit-backend_SRCS HEADER libdiscover_backend_debug.h IDENTIFIER LIBDISCOVER_BACKEND_LOG CATEGORY_NAME org.kde.plasma.libdiscover.backend)

add_library(packagekit-backend MODULE ${packagekit-backend_SRCS})

target_link_libraries(packagekit-backend PRIVATE Discover::Common Qt5::Core PK::packagekitqt5 KF5::ConfigGui KF5::KIOCore KF5::Archive AppStreamQt)
install(TARGETS packagekit-backend DESTINATION ${PLUGIN_INSTALL_DIR}/discover)

if(TARGET PkgConfig::Markdown)
    target_compile_definitions(packagekit-backend PRIVATE -DWITH_MARKDOWN)
    target_link_libraries(packagekit-backend PRIVATE PkgConfig::Markdown)
endif()

#notifier
set (DiscoverPackageKitNotifier_SRCS
    PackageKitNotifier.cpp
)
ecm_qt_declare_logging_category(DiscoverPackageKitNotifier_SRCS HEADER libdiscover_backend_debug.h IDENTIFIER LIBDISCOVER_BACKEND_LOG CATEGORY_NAME org.kde.plasma.libdiscover.backend)

add_library(DiscoverPackageKitNotifier MODULE ${DiscoverPackageKitNotifier_SRCS})

target_link_libraries(DiscoverPackageKitNotifier PRIVATE PK::packagekitqt5 Discover::Notifiers KF5::I18n KF5::Notifications KF5::ConfigCore)
set_target_properties(DiscoverPackageKitNotifier PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)

install(TARGETS DiscoverPackageKitNotifier DESTINATION ${PLUGIN_INSTALL_DIR}/discover-notifier)

install(FILES packagekit-backend-categories.xml DESTINATION ${DATA_INSTALL_DIR}/libdiscover/categories)
add_subdirectory(categoryimages)

install( FILES org.kde.discover.packagekit.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== libdiscover/backends/PackageKitBackend/categoryimages/CMakeLists.txt ===
install( FILES
    educationcrop.jpg
    fontcrop.jpg
    gamecrop.jpg
    graphiccrop.jpg
#     multimedia2.jpg
    multimediacrop.jpg
#     music.jpe
    officecrop.jpg
    sciencecrop.jpg
    accesscropped.jpg
    toolcrop.jpg
    accesscropped.jpg
    accessoriescrop.jpg
    applicationcrop.jpg
    internetcrop.jpg
    settingscrop.jpg
    DESTINATION ${KDE_INSTALL_FULL_DATAROOTDIR}/discover/pkcategories)

=== debian/changelog ===
plasma-discover (5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:45:32 +0100

plasma-discover (5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:06:56 +0000

plasma-discover (5.18.2-0ubuntu2) focal; urgency=medium

  * Recommend plasma-discover-backend-fwupd.

 -- Rik Mills <rikmills@kde.org>  Thu, 27 Feb 2020 18:24:32 +0000

plasma-discover (5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:29:09 +0000

plasma-discover (5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:35:58 +0000

plasma-discover (5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:43:19 +0000

plasma-discover (5.17.90-0ubuntu2) focal; urgency=medium

  * Merge from debian 5.17.5-1. Remaining changes:
    - New upstream (beta) release (5.17.90)
    - debian/control:
      + Kubuntu Vcs fields.
      + snap and flatpak backends depend on xdg-desktop-portal-kde.
      + snap backend depends snapd.
      + plasma-discover depends software-properties-qt instead of removed
        kde variant.
      + plasma-discover recommends the snap backend in Ubuntu.
      + Transitional packages and breaks/replaces for renaming of backend
        packages in Ubuntu.
    * Keep our install files, so that appstream data and .desktop files for
      the snap and flatpak are found in the respective packages.
    * Keep our lintian overrides.
    * debian/meta/cmake-ignore: Keep config for Kubuntu CI.
  * Note that the fwupd backend is now built and provided in a new package
    with this merge.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Jan 2020 16:12:45 +0000

plasma-discover (5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:07:10 +0000

plasma-discover (5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump almost all KF packages to 5.62.0
    - bump libappstreamqt-dev to 0.11.1
    - add libmarkdown2-dev
    - remove unused libkf5configwidgets-dev, libkf5iconthemes-dev,
      libkf5itemviews-dev, libkf5kdelibs4support-dev, libkf5plasma-dev,
      libkf5solid-dev, libkf5textwidgets-dev, libkf5wallet-dev, and
      libkf5widgetsaddons-dev
    - explicitly add gettext
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Update install files.
  * Handle conffile removals.
  * Remove the unused DEB_VERSION_UPSTREAM_REVISION variable in rules.
  * Enable all the variations for reprotest in the salsa CI.
  * Enable the fwupd backend:
    - add the libfwupd-dev build dependency
    - add a new plasma-discover-backend-fwupd binary
  * Remove the obsolete debian/not-installed.
  * Remove old dh_makeshlibs override, as it does not apply anymore.
  * Remove debian/gbp.conf, as the packaging repository does not use
    git buildpackage.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jan 2020 11:56:19 +0100

plasma-discover (5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:43:47 +0000

plasma-discover (5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:23:04 +0000

plasma-discover (5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:03:55 +0000

plasma-discover (5.17.2-0ubuntu1) focal; urgency=medium

  * Move qdebug categories file to new location.
  * Update install files.
  * Update lintian overrides.
  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:49:08 +0000

plasma-discover (5.14.5.1-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New revision
  * Move snap dbus file installation path.
    Thanks to Helmut Grohne (Closes: 941592)
  * Bump debhelper build-dep and compat to 12.
  * Bump Standards-Version to 4.4.1.
  * Drop old breaks/replaces, fixed versions already in stable
  * Add a salsa-ci script
  * Release to unstable

  [ Scarlett Clark ]
  * Add hidpi icons runtime depends as hidpi experience dimenished without them.
  * Move hidi icons to recommends.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Oct 2019 10:04:41 +0200

=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Matthias Klumpp <mak@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.62.0~),
               gettext,
               kirigami2-dev (>= 5.42),
               libappstreamqt-dev (>= 0.11.1~),
               libdebconf-kde-dev (>= 1.0.0),
               libflatpak-dev (>= 0.10.2),
               libfwupd-dev,
               libkf5archive-dev (>= 5.62.0~),
               libkf5attica-dev (>= 5.23~),
               libkf5config-dev (>= 5.62.0~),
               libkf5coreaddons-dev (>= 5.62.0~),
               libkf5crash-dev (>= 5.62.0~),
               libkf5dbusaddons-dev (>= 5.62.0~),
               libkf5declarative-dev (>= 5.62.0~),
               libkf5i18n-dev (>= 5.62.0~),
               libkf5itemmodels-dev (>= 5.62.0~),
               libkf5kio-dev (>= 5.62.0~),
               libkf5newstuff-dev (>= 5.53~),
               libkf5notifications-dev,
               libkf5xmlgui-dev (>= 5.62.0~),
               libmarkdown2-dev,
               libpackagekitqt5-dev (>= 1.0.1),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.4.0~),
               libsnapd-qt-dev (>= 1.30),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/workspace/discover
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover

Package: plasma-discover
Architecture: any
Depends: appstream (>= 0.8),
         apt-config-icons,
         packagekit (>= 1.0),
         plasma-discover-common (= ${source:Version}),
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kirigami2 (>= 5.42),
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-qqc2desktopstyle,
         qml-module-qtquick-dialogs,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: apt-config-icons-hidpi,
            apt-config-icons-large,
            apt-config-icons-large-hidpi,
            plasma-discover-backend-fwupd,
            plasma-discover-backend-snap,
            software-properties-qt
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: plasma-discover-backend-flatpak
Architecture: any
Depends: flatpak,
         plasma-discover (= ${binary:Version}),
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-discover-flatpak-backend (<< 5.16.4~)
Replaces: plasma-discover-flatpak-backend (<< 5.16.4~)
Description: Discover software management suite - Flatpak backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Flatpak application
 bundling system.

Package: plasma-discover-backend-snap
Architecture: any
Depends: plasma-discover (= ${binary:Version}),
         snapd,
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-discover-snap-backend (<< 5.16.4~)
Replaces: plasma-discover-snap-backend (<< 5.16.4~)
Description: Discover software management suite - Snap backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Ubuntu Core Snappy application
 bundling system.

Package: plasma-discover-backend-fwupd
Architecture: any
Depends: plasma-discover (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: fwupd
Description: Discover software management suite - fwupd backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the firmware update daemon.

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends}
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: plasma-discover-flatpak-backend
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-discover-backend-flatpak, ${misc:Depends}
Description: Discover Flatpak backend - transitional package
 This transitional package allows one to migrate to the renamed package
 providing the Plasma Discover Flatpak backend.
 .
 It can be safely removed after the installation.

Package: plasma-discover-snap-backend
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-discover-backend-snap, ${misc:Depends}
Description: Discover Flatpak backend - transitional package
 This transitional package allows one to migrate to the renamed package
 providing the Plasma Discover Snap backend.
 .
 It can be safely removed after the installation.

## plasma-discover 5.18.5

=== debian/changelog ===
plasma-discover (5.18.5-0ubuntu0.1) focal; urgency=medium

  * New upstream release (5.18.5) (LP: #1876876)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 May 2020 15:16:27 +0100

## plasma-discover 5.18.5-0ubuntu0.1+10.0trisquel2

=== debian/changelog ===
plasma-discover (5.18.5-0ubuntu0.1+10.0trisquel2) nabia; urgency=medium

  * Disable kns, snap and flatpack backend

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 22 Sep 2021 10:13:39 +0000

## plasma-discover 5.18.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(discover)
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.18.7")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12)

=== libdiscover/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libdiscover\")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-paths.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-paths.h)

add_subdirectory(backends)
add_subdirectory(notifiers)
add_subdirectory(tests)

set(discovercommon_SRCS
    Category/Category.cpp
    Category/CategoryModel.cpp
    Category/CategoriesReader.cpp
    ReviewsBackend/AbstractReviewsBackend.cpp
    ReviewsBackend/Rating.cpp
    ReviewsBackend/Review.cpp
    ReviewsBackend/ReviewsModel.cpp
    Transaction/AddonList.cpp
    Transaction/Transaction.cpp
    Transaction/TransactionListener.cpp
    Transaction/TransactionModel.cpp
    UpdateModel/UpdateItem.cpp
    UpdateModel/UpdateModel.cpp
    resources/ResourcesModel.cpp
    resources/ResourcesProxyModel.cpp
    resources/PackageState.cpp
    resources/ResourcesUpdatesModel.cpp
    resources/StandardBackendUpdater.cpp
    resources/SourcesModel.cpp
    resources/AbstractResourcesBackend.cpp
    resources/AbstractResource.cpp
    resources/AbstractBackendUpdater.cpp
    resources/AbstractSourcesBackend.cpp
    resources/StoredResultsStream.cpp
    ActionsModel.cpp
    DiscoverBackendsFactory.cpp
    ScreenshotsModel.cpp
    ApplicationAddonsModel.cpp
    CachedNetworkAccessManager.cpp
)

ecm_qt_declare_logging_category(discovercommon_SRCS HEADER libdiscover_debug.h IDENTIFIER LIBDISCOVER_LOG CATEGORY_NAME org.kde.plasma.libdiscover)


add_library(DiscoverCommon ${discovercommon_SRCS})
if(AppStreamQt_FOUND)
    target_sources(DiscoverCommon PRIVATE
        appstream/OdrsReviewsBackend.cpp
        appstream/AppStreamIntegration.cpp
        appstream/AppStreamUtils.cpp
    )
    target_link_libraries(DiscoverCommon PRIVATE AppStreamQt)

    if(AppStreamQt_VERSION VERSION_GREATER 0.12.4)
        target_compile_definitions(DiscoverCommon PRIVATE -DAPPSTREAM_HAS_SPDX=1)
    else()
        target_compile_definitions(DiscoverCommon PRIVATE -DAPPSTREAM_HAS_SPDX=0)
    endif()
    if(AppStreamQt_VERSION VERSION_GREATER 0.12.7)
        target_compile_definitions(DiscoverCommon PRIVATE -DAPPSTREAM_HAS_SPDX_LICENSEURL=1)
    else()
        target_compile_definitions(DiscoverCommon PRIVATE -DAPPSTREAM_HAS_SPDX_LICENSEURL=0)
    endif()
endif()

target_link_libraries(DiscoverCommon
PUBLIC
    Qt5::Core
    Qt5::Qml
    Qt5::Widgets
    KF5::I18n
    KF5::ItemModels
PRIVATE
    Qt5::Xml
    KF5::CoreAddons
    KF5::KIOWidgets # KIO/AccessManager
)
add_library(Discover::Common ALIAS DiscoverCommon)

generate_export_header(DiscoverCommon)

target_include_directories(DiscoverCommon PRIVATE ${PHONON_INCLUDES} PUBLIC ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

install(TARGETS DiscoverCommon DESTINATION ${CMAKE_INSTALL_LIBDIR}/plasma-discover)
install(FILES resources/discoverabstractnotifier.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

=== debian/changelog ===
plasma-discover (5.18.7-0ubuntu0.1) focal; urgency=medium

  * New upstream bugfix release (5.18.7) (LP: #1938894)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Jan 2022 07:39:58 +0000

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

PLASMA_DISCOVER_FLAGS = -DBUILD_FlatpakBackend=ON \
			-DBUILD_SnapBackend=ON

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- $(PLASMA_DISCOVER_FLAGS)

override_dh_missing:
	dh_missing --fail-missing

# FIXME: tests are broken at time
override_dh_auto_test:
	:

## plasma-discover 5.18.7-0ubuntu0.1+10.0trisquel2

=== debian/changelog ===
plasma-discover (5.18.7-0ubuntu0.1+10.0trisquel2) nabia; urgency=medium

  * Disable kns, snap and flatpack backend

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 12 Feb 2022 06:37:02 +0000

=== debian/control ===
--- 
+++ 
@@ -72,53 +72,6 @@
  Discover will also keep the system up to date by notifying about updates and
  installing them.
 
-Package: plasma-discover-backend-flatpak
-Architecture: any
-Depends: flatpak,
-         plasma-discover (= ${binary:Version}),
-         xdg-desktop-portal-kde,
-         ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: plasma-discover-flatpak-backend (<< 5.16.4~)
-Replaces: plasma-discover-flatpak-backend (<< 5.16.4~)
-Description: Discover software management suite - Flatpak backend
- Discover is a graphical software manager for the Plasma workspace.
- It helps users easily and quickly find applications and other software
- they might want to install.
- .
- This package contains a backend for the Flatpak application
- bundling system.
-
-Package: plasma-discover-backend-snap
-Architecture: any
-Depends: plasma-discover (= ${binary:Version}),
-         snapd,
-         xdg-desktop-portal-kde,
-         ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: plasma-discover-snap-backend (<< 5.16.4~)
-Replaces: plasma-discover-snap-backend (<< 5.16.4~)
-Description: Discover software management suite - Snap backend
- Discover is a graphical software manager for the Plasma workspace.
- It helps users easily and quickly find applications and other software
- they might want to install.
- .
- This package contains a backend for the Ubuntu Core Snappy application
- bundling system.
-
-Package: plasma-discover-backend-fwupd
-Architecture: any
-Depends: plasma-discover (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: fwupd
-Description: Discover software management suite - fwupd backend
- Discover is a graphical software manager for the Plasma workspace.
- It helps users easily and quickly find applications and other software
- they might want to install.
- .
- This package contains a backend for the firmware update daemon.
-
 Package: plasma-discover-common
 Architecture: all
 Depends: ${misc:Depends}
@@ -128,24 +81,3 @@
  This package contains data files shared by various parts of the
  Discover suite.
 
-Package: plasma-discover-flatpak-backend
-Architecture: all
-Section: oldlibs
-Priority: optional
-Depends: plasma-discover-backend-flatpak, ${misc:Depends}
-Description: Discover Flatpak backend - transitional package
- This transitional package allows one to migrate to the renamed package
- providing the Plasma Discover Flatpak backend.
- .
- It can be safely removed after the installation.
-
-Package: plasma-discover-snap-backend
-Architecture: all
-Section: oldlibs
-Priority: optional
-Depends: plasma-discover-backend-snap, ${misc:Depends}
-Description: Discover Flatpak backend - transitional package
- This transitional package allows one to migrate to the renamed package
- providing the Plasma Discover Snap backend.
- .
- It can be safely removed after the installation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

PLASMA_DISCOVER_FLAGS = -DBUILD_FlatpakBackend=OFF \
			-DBUILD_SnapBackend=OFF

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- $(PLASMA_DISCOVER_FLAGS)

override_dh_missing:
	dh_missing --list-missing

# FIXME: tests are broken at time
override_dh_auto_test:
	:

## plasma-discover 5.19.5

=== debian/changelog ===
plasma-discover (5.19.5-0ubuntu2) groovy; urgency=medium

  * Add upstream patch backported from 5.20 to fix settings page crash.
    - debian/patches: upstream_fix-settings-page-crash.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Oct 2020 15:53:38 +0100

plasma-discover (5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:52:47 +0100

plasma-discover (5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:41:03 +0100

plasma-discover (5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:57:44 +0100

plasma-discover (5.19.2-0ubuntu1) groovy; urgency=medium

  * Update install files
  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:44:33 +0100

plasma-discover (5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:38:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,26 +6,26 @@
            Matthias Klumpp <mak@debian.org>,
 Build-Depends: cmake (>= 2.8.12),
                debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.62.0~),
+               extra-cmake-modules (>= 5.70.0~),
                gettext,
-               kirigami2-dev (>= 5.42),
+               kirigami2-dev (>= 5.70.0~),
                libappstreamqt-dev (>= 0.11.1~),
                libdebconf-kde-dev (>= 1.0.0),
                libflatpak-dev (>= 0.10.2),
                libfwupd-dev,
-               libkf5archive-dev (>= 5.62.0~),
-               libkf5attica-dev (>= 5.23~),
-               libkf5config-dev (>= 5.62.0~),
-               libkf5coreaddons-dev (>= 5.62.0~),
-               libkf5crash-dev (>= 5.62.0~),
-               libkf5dbusaddons-dev (>= 5.62.0~),
-               libkf5declarative-dev (>= 5.62.0~),
-               libkf5i18n-dev (>= 5.62.0~),
-               libkf5itemmodels-dev (>= 5.62.0~),
-               libkf5kio-dev (>= 5.62.0~),
-               libkf5newstuff-dev (>= 5.53~),
-               libkf5notifications-dev,
-               libkf5xmlgui-dev (>= 5.62.0~),
+               libkf5archive-dev (>= 5.70.0~),
+               libkf5attica-dev (>= 5.70.0~),
+               libkf5config-dev (>= 5.70.0~),
+               libkf5coreaddons-dev (>= 5.70.0~),
+               libkf5crash-dev (>= 5.70.0~),
+               libkf5dbusaddons-dev (>= 5.70.0~),
+               libkf5declarative-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5itemmodels-dev (>= 5.70.0~),
+               libkf5kio-dev (>= 5.70.0~),
+               libkf5newstuff-dev (>= 5.70.0~),
+               libkf5notifications-dev (>= 5.70.0~),
+               libkf5xmlgui-dev (>= 5.70.0~),
                libmarkdown2-dev,
                libpackagekitqt5-dev (>= 1.0.1),
                libqca-qt5-2-dev,
@@ -72,6 +72,53 @@
  Discover will also keep the system up to date by notifying about updates and
  installing them.
 
+Package: plasma-discover-backend-flatpak
+Architecture: any
+Depends: flatpak,
+         plasma-discover (= ${binary:Version}),
+         xdg-desktop-portal-kde,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: plasma-discover-flatpak-backend (<< 5.16.4~)
+Replaces: plasma-discover-flatpak-backend (<< 5.16.4~)
+Description: Discover software management suite - Flatpak backend
+ Discover is a graphical software manager for the Plasma workspace.
+ It helps users easily and quickly find applications and other software
+ they might want to install.
+ .
+ This package contains a backend for the Flatpak application
+ bundling system.
+
+Package: plasma-discover-backend-snap
+Architecture: any
+Depends: plasma-discover (= ${binary:Version}),
+         snapd,
+         xdg-desktop-portal-kde,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: plasma-discover-snap-backend (<< 5.16.4~)
+Replaces: plasma-discover-snap-backend (<< 5.16.4~)
+Description: Discover software management suite - Snap backend
+ Discover is a graphical software manager for the Plasma workspace.
+ It helps users easily and quickly find applications and other software
+ they might want to install.
+ .
+ This package contains a backend for the Ubuntu Core Snappy application
+ bundling system.
+
+Package: plasma-discover-backend-fwupd
+Architecture: any
+Depends: plasma-discover (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: fwupd
+Description: Discover software management suite - fwupd backend
+ Discover is a graphical software manager for the Plasma workspace.
+ It helps users easily and quickly find applications and other software
+ they might want to install.
+ .
+ This package contains a backend for the firmware update daemon.
+
 Package: plasma-discover-common
 Architecture: all
 Depends: ${misc:Depends}
@@ -81,3 +128,24 @@
  This package contains data files shared by various parts of the
  Discover suite.
 
+Package: plasma-discover-flatpak-backend
+Architecture: all
+Section: oldlibs
+Priority: optional
+Depends: plasma-discover-backend-flatpak, ${misc:Depends}
+Description: Discover Flatpak backend - transitional package
+ This transitional package allows one to migrate to the renamed package
+ providing the Plasma Discover Flatpak backend.
+ .
+ It can be safely removed after the installation.
+
+Package: plasma-discover-snap-backend
+Architecture: all
+Section: oldlibs
+Priority: optional
+Depends: plasma-discover-backend-snap, ${misc:Depends}
+Description: Discover Flatpak backend - transitional package
+ This transitional package allows one to migrate to the renamed package
+ providing the Plasma Discover Snap backend.
+ .
+ It can be safely removed after the installation.

## plasma-discover 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
 project(discover)
-set(PROJECT_VERSION "5.18.7")
+set(PROJECT_VERSION "5.20.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12)
 
-set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.62.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.74")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_SOURCE_DIR}/cmake")
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  "${CMAKE_SOURCE_DIR}/cmake")
 
 find_package(Qt5 ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets Test Network Xml Concurrent DBus Quick)
 include(KDEInstallDirs)
@@ -49,6 +49,7 @@
 add_subdirectory(libdiscover)
 add_subdirectory(discover)
 add_subdirectory(exporter)
+add_subdirectory(update)
 
 option(WITH_NOTIFIER "Build and install the notifier plasmoid" ON)
 if(WITH_NOTIFIER)

=== notifier/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 target_link_libraries(DiscoverNotifier
     KF5::Notifications
     KF5::I18n
-    KF5::KIOWidgets
+    KF5::KIOGui
     KF5::Crash
     KF5::DBusAddons
 
@@ -16,4 +16,4 @@
 set(DesktopExec "${KDE_INSTALL_FULL_LIBEXECDIR}/DiscoverNotifier")
 configure_file(org.kde.discover.notifier.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.notifier.desktop)
 install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.notifier.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
-install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.notifier.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.notifier.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})

=== libdiscover/backends/PackageKitBackend/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
     PackageKitMessages.cpp
     PackageKitSourcesBackend.cpp
     LocalFilePKResource.cpp
-    TransactionSet.cpp
+    PKResolveTransaction.cpp
     pkui.qrc
     )
 ecm_qt_declare_logging_category(packagekit-backend_SRCS HEADER libdiscover_backend_debug.h IDENTIFIER LIBDISCOVER_BACKEND_LOG CATEGORY_NAME org.kde.plasma.libdiscover.backend)

=== libdiscover/backends/SnapBackend/CMakeLists.txt ===
add_subdirectory(libsnapclient)

add_library(snap-backend MODULE SnapResource.cpp SnapBackend.cpp SnapTransaction.cpp snapui.qrc)
target_link_libraries(snap-backend Qt5::Core KF5::CoreAddons KF5::ConfigCore Discover::Common Snapd::Core)

if ("${Snapd_VERSION}" VERSION_GREATER 1.40)
    target_compile_definitions(snap-backend PRIVATE -DSNAP_COMMON_IDS -DSNAP_CHANNELS)
endif()
if ("${Snapd_VERSION}" VERSION_GREATER 1.42)
    target_compile_definitions(snap-backend PRIVATE -DSNAP_PUBLISHER)
endif()
if ("${Snapd_VERSION}" VERSION_GREATER 1.45)
    target_compile_definitions(snap-backend PRIVATE -DSNAP_MEDIA)
endif()
if ("${Snapd_VERSION}" VERSION_GREATER 1.48)
    target_compile_definitions(snap-backend PRIVATE -DSNAP_FIND_COMMON_ID -DSNAP_MARKDOWN)
endif()

install(TARGETS snap-backend DESTINATION ${PLUGIN_INSTALL_DIR}/discover)
install(FILES snap-backend-categories.xml DESTINATION ${DATA_INSTALL_DIR}/libdiscover/categories)
install( FILES org.kde.discover.snap.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== libdiscover/backends/DummyBackend/tests/CMakeLists.txt ===
add_unit_test(dummytest DummyTest.cpp)
add_unit_test(updatedummytest UpdateDummyTest.cpp)

target_link_libraries(updatedummytest KF5::CoreAddons)

=== debian/changelog ===
plasma-discover (5.20.5-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to validate URI scheme (Fixes: CVE-2021-28117).

 -- Patrick Franz <patfra71@gmail.com>  Wed, 10 Mar 2021 23:53:46 +0100

plasma-discover (5.20.5-2) unstable; urgency=medium

  * Add jcat, libjcat-dev, and any of the libcurl*-dev variants to B-D to work
    around broken fwupd package. (Closes: #980683)

 -- Norbert Preining <norbert@preining.info>  Thu, 21 Jan 2021 17:02:53 +0900

plasma-discover (5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).
  * Update lintian overrides.

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:53 +0900

plasma-discover (5.20.4-3) unstable; urgency=medium

  * Add kuserfeedback-dev to build dependencies for KDE user feedback framework
    support (disabled by default).
  * Add myself to the uploaders.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh copyright information.
  * Refresh upstream metadata.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 27 Dec 2020 22:33:34 +0100

plasma-discover (5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:37 +0900

plasma-discover (5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update build-deps with the info from cmake.
  * Remove upstream included patch:
    01-fix_crash_opening_settings_too_quickly.patch

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:33 +0900

plasma-discover (5.19.5-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add upstream patch to fix the crash when opening the settings window too
    quickly after launch.

 -- Norbert Preining <norbert@preining.info>  Sat, 14 Nov 2020 10:33:40 +0900

plasma-discover (5.19.5-3) unstable; urgency=medium

  [ Scarlett Moore ]
  * Remove obsolete fields in d/upstream/metadata already defined in
    d/copyright.

 -- Norbert Preining <norbert@preining.info>  Sat, 07 Nov 2020 06:50:30 +0900

plasma-discover (5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:42 +0900

plasma-discover (5.19.5-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Move the AppStream files of each backend from plasma-discover to the
    package of that backend:
    - org.kde.discover.flatpak.appdata.xml -> plasma-discover-backend-flatpak
    - org.kde.discover.snap.appdata.xml -> plasma-discover-backend-snap
    - add proper breaks/replaces
  * Move org.kde.discover.snap.urlhandler.desktop from plasma-discover to the
    right package, i.e. plasma-discover-backend-snap
    - add proper breaks/replaces
  * Suggest also plasma-discover-backend-fwupd in plasma-discover.
  * Remove executable permissions from autostart desktop files.
    (Closes: #969257)

  [ Norbert Preining ]
  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 17:33:54 +0900

plasma-discover (5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update build-deps and deps with the info from cmake.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update build-deps with the info from cmake.
  * Update upstream metadata.
  * Update list of installed files.
  * Enable hardening for build.
  * Clean up and extended d/copyright.

  [ Pino Toscano ]
  * Stop passing --fail-missing to dh_missing, as it is the default behaviour
    with the debhelper compatibility 13.

 -- Pino Toscano <pino@debian.org>  Sun, 30 Aug 2020 08:55:26 +0200

plasma-discover (5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Stop passing -DBUILD_FlatpakBackend=ON and -DBUILD_SnapBackend=ON to cmake,
    as they are already ON by default.
  * Build Discover also on non-Linux architectures:
    - restrict the libflatpak-dev, libfwupd-dev, and libsnapd-qt-dev build
      dependencies as linux-any
    - restrict the plasma-discover-backend-flatpak,
      plasma-discover-backend-snap, and plasma-discover-backend-fwupd binaries
      as linux-any
    - restrict the plasma-discover-backend-flatpak suggest as linux-any
  * Update the required version of a couple of build dependencies to what
    required by the upstream build system:
    - bump libflatpak-dev to 0.11.8
    - bump libfwupd-dev to 1.0.6
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 21:25:18 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

# FIXME: tests are broken at time
override_dh_auto_test:
	:

override_dh_fixperms-arch:
	dh_fixperms -a
	# no need for exec permissions for autostart desktop files
	chmod -x debian/plasma-discover/etc/xdg/autostart/*.desktop
